package com.bupt.note.dto;

import com.bupt.note.Model.Paper;

public class UploadPaper {
    private String title;
    private String type;
    private String author;
    private String profession;
    private String school;
    private Integer year;
    private String summary;
    private String tag;
    private Long fileId;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Paper toPaper(){
        Paper paper=new Paper();
        paper.setTitle(this.title);
        paper.setType(this.type);
        paper.setAuthor(this.author);
        paper.setProfession(this.profession);
        paper.setSchool(this.school);
        paper.setYear(this.year);
        paper.setSummary(this.summary);
        paper.setTag(this.tag);
        paper.setFileId(this.fileId);
        return paper;
    }
}
